Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.util
Class GetOwnSlotValuesBrowserTextJob

    java.lang.Object
      edu.stanford.smi.protege.util.RemoteJob
          edu.stanford.smi.protege.util.ProtegeJob
              edu.stanford.smi.protege.util.GetOwnSlotValuesBrowserTextJob

All Implemented Interfaces:
  Localizable, Serializable

    public class GetOwnSlotValuesBrowserTextJob

extends ProtegeJob

Protege Job for getting the own slot values of a frame slot pair and the browser text of the values from the server. Not recommended to be used with slots that do not takes frames as values. To be used with instance or class slots.

Author:
  Tania Tudorache
See Also:
  Serialized Form

Field Summary
`protected boolean` | `directValues`
`protected Frame` | `frame`
`protected Slot` | `slot`

Constructor Summary
`GetOwnSlotValuesBrowserTextJob(KnowledgeBase kb, Frame frame, Slot slot, boolean directValues)`

Method Summary
`Collection<FrameWithBrowserText>` | `execute()` This method will either execute the job.run() method or - in the case that the caller is a client to a Protege server - it will copy this job to the server so that it can execute there.
`protected Collection` | `getValues()`
`void` | `localize(KnowledgeBase kb)` This call is used to make needed adjustments to objects after they have been serialized and then deserialized.
`Collection<FrameWithBrowserText>` | `run()` This class is overridden by the sub class and defines the fuunctionality of this job.

Methods inherited from class edu.stanford.smi.protege.util.ProtegeJob
`fixLoader, getKnowledgeBase, getMetaProjectInstance, serverSideCheckOperationAllowed`

Methods inherited from class edu.stanford.smi.protege.util.RemoteJob
`serverSideCheckOperationAllowed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### frame

    protected Frame frame

### slot

    protected Slot slot

### directValues

    protected boolean directValues

Constructor Detail

### GetOwnSlotValuesBrowserTextJob

    public GetOwnSlotValuesBrowserTextJob(KnowledgeBase kb,
                                          Frame frame,
                                          Slot slot,
                                          boolean directValues)

Method Detail

### run

    public Collection<FrameWithBrowserText> run()
                                         throws ProtegeException

  Description copied from class: `RemoteJob`
  This class is overridden by the sub class and defines the fuunctionality of this job. The intention is that the sub-class will define this method and callers will use the execute() method.

  Specified by:
    `run` in class `RemoteJob`
  Returns:
  Throws:
    `ProtegeException`

### getValues

    protected Collection getValues()

### execute

    public Collection<FrameWithBrowserText> execute()
                                             throws ProtegeException

  Description copied from class: `ProtegeJob`
  This method will either execute the job.run() method or - in the case that the caller is a client to a Protege server - it will copy this job to the server so that it can execute there.

  Overrides:
    `execute` in class `ProtegeJob`
  Returns:
    the object returned by the execution of this job.
  Throws:
    `ProtegeException` - the exception thrown by this job during its execution.

### localize

    public void localize(KnowledgeBase kb)

  Description copied from class: `ProtegeJob`
  This call is used to make needed adjustments to objects after they have been serialized and then deserialized. The main adjustment needed is to set the knowledge base in all the frames. It is likely that all sub-classes will need to implement this method.

  Specified by:
    `localize` in interface `Localizable`
  Overrides:
    `localize` in class `ProtegeJob`
  Parameters:
    `kb` - The knowledge base of running on the jvm that deserialized this job.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.